# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.autopilot.utils import (
    get_job_proxy_object,
    get_patched_registry,
    get_path_root,
    get_proxy_object,
    get_proxy_object_for_existing_app,
    get_proxy_object_for_existing_process,
    get_proxy_object_for_existing_qmlscene_process,
    is_element,
    override_proxy_timeout,
    patched_select_single,
    patched_wait_select_single,
    validate_dbus_object,
    wait_select_many,
    wait_select_single,
)


__all__ = [
    'get_job_proxy_object',
    'get_patched_registry',
    'get_path_root',
    'get_proxy_object',
    'get_proxy_object_for_existing_app',
    'get_proxy_object_for_existing_process',
    'get_proxy_object_for_existing_qmlscene_process',
    'is_element',
    'override_proxy_timeout',
    'patched_select_single',
    'patched_wait_select_single',
    'validate_dbus_object',
    'wait_select_many',
    'wait_select_single',
]
